import { ArgType } from "reactotron-core-client";
export default function invalidateReactQueryCommand(queryClientManager) {
    return {
        command: "invalidate-react-query",
        handler: function (args) {
            var queryKey = (args !== null && args !== void 0 ? args : {}).queryKey;
            queryClientManager.invalidateQueries(queryKey);
        },
        title: "Invalidate React Query",
        description: "Invalidate a query by key. If no key is provided, all queries will be invalidated.",
        args: [{ name: "queryKey", type: ArgType.String }],
    };
}
//# sourceMappingURL=invalidate-react-query-command.js.map