var queryStateTypes = ["observerResultsUpdated"];
var disableQueryTypes = ["observerOptionsUpdated", "updated"];
var disableMutationTypes = ["observerOptionsUpdated", "observerRemoved", "observerAdded"];
export var broadcastMutationEvent = function (reactotron, event) {
    if (disableMutationTypes.includes(event === null || event === void 0 ? void 0 : event.type)) {
        return;
    }
    if (event === null || event === void 0 ? void 0 : event.mutation) {
        reactotron.send("state.action.complete", {
            name: "mutation",
            action: {
                type: event.type,
                mutation: event.mutation,
            },
        });
    }
};
export var broadcastReactQueryEvent = function (reactotron, event) {
    if (disableQueryTypes.includes(event === null || event === void 0 ? void 0 : event.type)) {
        return;
    }
    if (!queryStateTypes.includes(event === null || event === void 0 ? void 0 : event.type)) {
        reactotron.display({
            name: "".concat(event === null || event === void 0 ? void 0 : event.type).concat(event === null || event === void 0 ? void 0 : event.query.queryHash),
            value: event === null || event === void 0 ? void 0 : event.query,
        });
    }
    else {
        reactotron.send("state.values.response", {
            path: "React Query (".concat(event === null || event === void 0 ? void 0 : event.type, ") ").concat(event === null || event === void 0 ? void 0 : event.query.queryHash),
            value: event === null || event === void 0 ? void 0 : event.query.state,
            valid: true,
        });
    }
};
//# sourceMappingURL=reactotron-helpers.js.map