import { Query, QueryClient } from "@tanstack/react-query";
import { MutationEvent, QueryEvent } from "./query-cache-notify-event.interface";
import { QueryClientManagerOptions } from "./query-client-manager-options.interface";
export declare class QueryClientManager {
    queryClient: QueryClient;
    queryCacheEvent: (() => void) | undefined;
    mutationCacheEvent: (() => void) | undefined;
    constructor(options: QueryClientManagerOptions);
    getQueryCache(): import("@tanstack/react-query").QueryCache;
    getQueries(): Query[];
    getQueryByHash(queryHash: string): Query | undefined;
    fetchQueryByHash(queryHash: string): Promise<unknown>;
    subscribe(callback: (event: QueryEvent | undefined) => void, mutationCallback: (event: MutationEvent | undefined) => void): void;
    unsubscribe(): void;
    invalidateQueries(key: string): Promise<void>;
}
